Moderate Message
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/chat/messages/:messageId/moderation \
--header 'Content-Type: application/json' \
--data '
{
"moderationStatus": "<string>",
"moderationReason": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/chat/messages/:messageId/moderation"
payload = {
"moderationStatus": "<string>",
"moderationReason": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({moderationStatus: '<string>', moderationReason: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/chat/messages/:messageId/moderation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"moderationStatus": "<string>"
}Space — Moderation
Moderate Message
Approve or remove a chat message within a space
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
chat
/
messages
/
:messageId
/
moderation
Moderate Message
Takes a direct moderation action on a chat message in a space’s integrated conversation. Requires the caller to be a moderator or admin of the space.
Path Parameters
string
required
UUID of the space.
string
required
UUID of the chat message to moderate.
Body Parameters
string
required
The moderation action. Only
"removed" is supported — chat messages cannot be approved via this endpoint.string
Optional reason for the removal. Up to 1,000 characters.
Response
string
Confirmation message.
string
The resulting status:
"removed".⌘I

